package be.iminds.ilabt.jfed.rspec.model;

/**
 * User: twalcari
 * Date: 9/10/2014
 * Time: 14:30
 */
public interface ExecuteService {
    String getShell();

    String getCommand();

    /**
     * Contains info from the jfed:finished_flag-attribute.
     * @return The path to a file that is created at the end of the script execution.
     * This allows jFed to detect that the script has finished.
     */
    String getFinishedFile();

    void setShell(String shell);

    void setCommand(String command);

    void setFinishedFile(String finishedFile);
}
